#  Copyright 2008, Matias Bordese
#

#  This file is part of PycasaDownload.

#  PycasaDownload is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.

#  PycasaDownload is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with PycasaDownload. If not, see <http://www.gnu.org/licenses/>.

from urllib import urlopen
import os

class DownloadableItem(object):
    """Represent an item that can be downloaded"""

    def __init__(self, title=None, url=None, default_path=os.path.expanduser("~"), default_filename=None):
        self.title = title
        self.url = url
        self.path = None
        self.default_path = default_path
        self.default_filename = default_filename or self.title

    def download(self, dest=None, filename=None):
        if self.path:
            return
        if not dest:
            dest = self.default_path
        if not filename:
            filename = self.default_filename
        dest = os.path.join(dest, filename)
        infourl = urlopen(self.url)
        f = open(dest, 'w')
        f.write(infourl.read())
        f.close()
        self.path = dest



