#  Copyright 2008, Matias Bordese
#

#  This file is part of PycasaDownload.

#  PycasaDownload is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.

#  PycasaDownload is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with PycasaDownload. If not, see <http://www.gnu.org/licenses/>.

from DownloadableItem import DownloadableItem
from config import THUMBNAILS_FOLDER_PATH, SMALL_THUMB

class Thumbnail(DownloadableItem):
    """Represent a Picasa photo thumbnail"""

    def __init__(self, entry, size=SMALL_THUMB):
        self.entry = entry.media.thumbnail[size]
        self.width = int(self.entry.width)
        self.height = int(self.entry.height)
        default_path = THUMBNAILS_FOLDER_PATH
        default_filename = "%s_x_%s_%s" % (self.width, self.height, entry.title.text)

        super(Thumbnail, self).__init__(title=entry.title.text, url=self.entry.url, default_path=default_path, default_filename=default_filename)

    def size(self):
        return (self.width, self.height)
